;
;	This program is "ct6b.bin"
;	for pre_setting registers of Chips&Tech 65535 of PC110
;
;	2021.03.25	XR6C=1Ch add drive power up of ports
;	2021.03.25	init
;	2021.03.26	test_01 (built in to mbm)
;	2021.04.17	add SW
;
;++++++++++++++++++++++++++++++++++++++++++++++
.186
include	str.inc
include	stddef.inc
include	ibmpc.inc
include	file.inc

code	segment	public
	assume	cs:code, ds:code

	org	0h
;---------------------------------
ct6b_i:	pusha
;	call	beep
;	call	beep
;	call	beep
;write CRT value to registers
	lea	si,crtbl

;	reserved for switching

;write TFT value to registers
	lea	si,tftbl
wtrgr:	mov	al,byte ptr cs:[si]
	cmp	al,0ffh
	je	wtrge
	mov	dx,3d6h
	out	dx,al
	mov	al,byte ptr cs:[si+1]
	mov	dx,3d7h
	out	dx,al
	add	si,2
	jmp	wtrgr
wtrge:	popa
	ret

;------------------------------------
;parameter table
tftbl:	db	06h,0c0h	;No color reduction
	db	19h,00h		;Alt Hsync Start(CR04)
	db	1ah,02h		;Alt Hsync End(CR05)
	db	1bh,7fh		;Alt H Total(CR00)
	db	1ch,70h		;Panel Width
	db	4fh,0c6h	;LP/M change to DE
	db	50h,00h		;Clock divide, Dither, FRC
	db	51h,0c4h	;change to LCD on 4h !!!
	db	53h,00h		;for FRC
	db	54h,0c8h	;Negative Polarity
	db	55h,0e5h	;H Auto Centering
	db	56h,10h		;H Left Border
	db	6ch,1ch		;drive power x2
	db	0ffh,0ffh
;table end
;register table of the original data
crtbl:	db	06h,0c0h
	db	19h,01h
	db	1ah,19h
	db	1bh,59h
	db	1ch,4fh
	db	4fh,04h
	db	50h,15h
	db	51h,0c0h	;63h?	;Change to CRT !!!
	db	53h,00h
	db	54h,3ah
	db	55h,0e5h
	db	56h,02h
	db	6ch,1ch
	db	0ffh,0ffh
;table end
	db	35 dup(0)

code	ends
	end	ct6b_i
;-----------------------------------